import * as React from "react";
import { WorkspaceEdit } from "@kie-tools-core/workspace/dist/api";
import { Notification } from "@kie-tools-core/notifications/dist/api";
import { ChannelType, StateControlCommand } from "@kie-tools-core/editor/dist/api";
interface Props {
    onStateControlCommandUpdate: (command: StateControlCommand) => void;
    onNewEdit: (edit: WorkspaceEdit) => void;
    setNotifications: (path: string, notifications: Notification[]) => void;
    channelType: ChannelType;
    isReadOnly: boolean;
}
export declare type ServerlessWorkflowEditorRef = {
    setContent(path: string, content: string): Promise<void>;
};
export declare const ServerlessWorkflowTextEditor: React.ForwardRefExoticComponent<Props & React.RefAttributes<ServerlessWorkflowEditorRef | undefined>>;
export {};
//# sourceMappingURL=ServerlessWorkflowTextEditor.d.ts.map